Page 4 of 6 FirstFirst ... 23456 LastLast
Results 31 to 40 of 53

Thread: Guide to Installing and Running MiniDLNA on an Ubuntu Server

  1. #31
    Join Date
    Oct 2012
    Beans
    12

    Re: Guide to Installing and Running MiniDLNA on an Ubuntu Server

    well the thing is i am pretty much set with my 10.10
    i tried upgrading to 11 and 12.10 also. but my system turns out to be comparatively slow.so decided to stick on with 10.10.

    there has to be some solution as videos are showing up fine.
    i tried changing the directories of audio and pictures but no luck.
    any solutions...

    p.s is there anything similar to minidlna which i can try?

  2. #32
    Join Date
    Mar 2006
    Location
    Williams Lake
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Guide to Installing and Running MiniDLNA on an Ubuntu Server

    If you have logging enabled, have you checked the logs for any errors.

    I'm using 12.04 server on an atom 230 based system, 1.6Ghz, 1GiB of ram. I don't use a gui, so the system runs really well, mind you all it is, is a minidlna server.

  3. #33
    Join Date
    Oct 2012
    Beans
    12

    Re: Guide to Installing and Running MiniDLNA on an Ubuntu Server

    okay now i have a new symptom...

    media_dir=V,/home/sree/Media/server
    media_dir=P,/home/sree/Media/Pictures
    media_dir=A,/home/sree/Media/Music

    my audio and pictures were not displayed in the dlna client..

    the issue is that there are many subfolders under /home/sree/Media/Music..like the artist and then their respective albums...

    i tried moving some audio files to the main /home/sree/Media/Music directory and then they were getting displayed..
    they r not geting displayed if they r under the sub folder in the music folder.

    i dont want to open up all my music files and put it under the music folder.

    does anyone know why minidlna is not able to scan the subfolders under music.

  4. #34
    Join Date
    Jan 2008
    Location
    USA
    Beans
    750
    Distro
    Ubuntu 12.10 Quantal Quetzal

    Re: Guide to Installing and Running MiniDLNA on an Ubuntu Server

    Code:
    sudo /etc/init.d/minidlna restart
    [sudo] password for donnie: 
     * Restarting DLNA/UPnP-AV media server minidlna                                                                                                  [2012/11/11 23:12:56] utils.c:282: warn: make_dir: cannot create directory '/var/lib/minidlna'
    [2012/11/11 23:12:56] minidlna.c:527: fatal: Database path not accessible! [/var/lib/minidlna]
    Code:
    # port for HTTP (descriptions, SOAP, media transfer) traffic
    port=8200
    
    # network interfaces to serve, comma delimited
    #network_interface=eth0
    
    # set this to the directory you want scanned.
    # * if have multiple directories, you can have multiple media_dir= lines
    # * if you want to restrict a media_dir to a specific content type, you
    #   can prepend the type, followed by a comma, to the directory:
    #   + "A" for audio  (eg. media_dir=A,/home/jmaggard/Music)
    #   + "V" for video  (eg. media_dir=V,/home/jmaggard/Videos)
    #   + "P" for images (eg. media_dir=P,/home/jmaggard/Pictures)
    media_dir=V,/mnt/wd/Videos
    
    # set this if you want to customize the name that shows up on your clients
    friendly_name=Ubuntu Server
    
    # set this if you would like to specify the directory where you want MiniDLNA to store its database and album art cache
    db_dir=/var/lib/minidlna
    
    # set this if you would like to specify the directory where you want MiniDLNA to store its log file
    log_dir=/var/lib/minidlna/log
    
    # set this to change the verbosity of the information that is logged
    # each section can use a different level: off, fatal, error, warn, info, or debug
    #log_level=general,artwork,database,inotify,scanner,metadata,http,ssdp,tivo=warn
    
    # this should be a list of file names to check for when searching for album art
    # note: names should be delimited with a forward slash ("/")
    album_art_names=art.jpg/Art.jpg/front.jpg/Front.jpg/Cover.jpg/cover.jpg/AlbumArtSmall.jpg/albumartsmall.jpg/AlbumArt.jpg/albumart.jpg/Album.jpg/album.jpg/Folder.jpg/folder.jpg/Thumb.jpg/thumb.jpg
    
    # set this to no to disable inotify monitoring to automatically di# set this to strictly adhere to DLNA standards.
    # * This will allow server-side downscaling of very large JPEG images,
    #   which may hurt JPEG serving performance on (at least) Sony DLNA products.
    strict_dlna=no
    
    # default presentation url is http address on port 80
    #presentation_url=http://www.mylan/index.php
    
    # notify interval in seconds. default is 895 seconds.
    notify_interval=900
    
    # serial and model number the daemon will report to clients
    # in its XML description
    serial=12345678
    model_number=1
    
    # specify the path to the MiniSSDPd socket
    #minissdpdsocket=/var/run/minissdpd.sock
    
    # use different container as root of the tree
    # possible values:
    #   + "." - use standard container (this is the default)
    #   + "B" - "Browse Directory"
    #   + "M" - "Music"
    #   + "V" - "Video"
    #   + "P" - "Pictures"
    # if you specify "B" and client device is audio-only then "Music/Folders" will be used as root
    #root_container=.
    scover new files
    # note: the default is yes
    inotify=yes
    
    # set this to yes to enable support for streaming .jpg and .mp3 files to a TiVo supporting HMO
    enable_tivo=no
    UPDATE:- Okay it seems to work now. I had to sudo minidlan once to be able to create folders in root filesystem.
    Last edited by donniezazen; November 12th, 2012 at 07:25 AM.
    Amor cuerdo, no es Amor.

  5. #35
    Join Date
    Oct 2012
    Beans
    12

    Re: Guide to Installing and Running MiniDLNA on an Ubuntu Server

    i checked the log.. minidlna is trying to scan the desired audio folders but the permission is getting denied..


    2012/11/12 11:14:38] upnpsoap.c:1748: warn: Returning UPnPError 402: Invalid Args
    [2012/11/12 11:31:10] inotify.c:434: warn: Could not access /home/sree/Media/Music/Hindi [Permission denied]
    [2012/11/12 11:31:10] inotify.c:434: warn: Could not access /home/sree/Media/Music/Amma [Permission denied]
    [2012/11/12 11:31:10] inotify.c:434: warn: Could not access /home/sree/Media/Music/Ludovico Einaudi - Discografia [Permission denied]
    [2012/11/12 11:31:10] inotify.c:434: warn: Could not access /home/sree/Media/Music/Malayalam [Permission denied]
    [2012/11/12 11:31:10] inotify.c:434: warn: Could not access /home/sree/Media/Music/newsic [Permission denied]
    [2012/11/12 11:31:10] inotify.c:434: warn: Could not access /home/sree/Media/Music/English [Permission denied]
    [2012/11/12 11:31:10] inotify.c:434: warn: Could not access /home/sree/Media/Music/Hindustani [Permission denied]



    any ideas??

  6. #36
    Join Date
    Oct 2007
    Location
    Lancashire, UK
    Beans
    41
    Distro
    Xubuntu 12.10 Quantal Quetzal

    Re: Guide to Installing and Running MiniDLNA on an Ubuntu Server

    Quote Originally Posted by ssreesanth View Post
    i am using 10.10 and have configured minidlna. my problem is that my tv is showing my server and the audio video and pictures option. and only video files are getting listed. the audio files and pictures are not showing up on my tv.
    any ideas???

    media_dir=V,/home/sree/Media/server
    media_dir=P,/home/sree/Media/Pictures
    media_dir=A,/home/sree/Media/Music
    This may not be your problem, but in my early days of usage on my Sony TV, I sometimes made the mistake (and occasionally still do) of going into Video in the XMB, then selecting Music or Pictures in the tree within Video...

    If you have a Sony (possibly other devices also have this issue??) make sure that you select Pictures or Music at the top level of the XMB.
    I have discussed this with Justin Maggard (the dev) and this is because my Sony TVs never tell the server what sort of media each XMB option is looking for, so the server sends all 3 types and this is then filtered by the TV to the type that it is expecting.

    HTH,
    Craig

  7. #37
    Join Date
    Oct 2007
    Location
    Lancashire, UK
    Beans
    41
    Distro
    Xubuntu 12.10 Quantal Quetzal

    Re: Guide to Installing and Running MiniDLNA on an Ubuntu Server

    Quote Originally Posted by ssreesanth View Post
    i checked the log.. minidlna is trying to scan the desired audio folders but the permission is getting denied..


    2012/11/12 11:14:38] upnpsoap.c:1748: warn: Returning UPnPError 402: Invalid Args
    [2012/11/12 11:31:10] inotify.c:434: warn: Could not access /home/sree/Media/Music/Hindi [Permission denied]
    [2012/11/12 11:31:10] inotify.c:434: warn: Could not access /home/sree/Media/Music/Amma [Permission denied]
    [2012/11/12 11:31:10] inotify.c:434: warn: Could not access /home/sree/Media/Music/Ludovico Einaudi - Discografia [Permission denied]
    [2012/11/12 11:31:10] inotify.c:434: warn: Could not access /home/sree/Media/Music/Malayalam [Permission denied]
    [2012/11/12 11:31:10] inotify.c:434: warn: Could not access /home/sree/Media/Music/newsic [Permission denied]
    [2012/11/12 11:31:10] inotify.c:434: warn: Could not access /home/sree/Media/Music/English [Permission denied]
    [2012/11/12 11:31:10] inotify.c:434: warn: Could not access /home/sree/Media/Music/Hindustani [Permission denied]



    any ideas??
    It seems obvious, but have you checked the permissions on the folders and files?
    I'm guessing minidlna is running as a user who does not have read/execute permissions on those folders.

    /Craig

  8. #38
    Join Date
    Oct 2012
    Beans
    12

    Re: Guide to Installing and Running MiniDLNA on an Ubuntu Server

    Quote Originally Posted by craigchambers View Post
    It seems obvious, but have you checked the permissions on the folders and files?
    I'm guessing minidlna is running as a user who does not have read/execute permissions on those folders.

    /Craig

    thanks man. i think i solved it.. minidlna was unablee to read from the default "music" "pictures" "Video" folder in ubuntu.

    so i made new folders and shifted all the media.. now all the media is getting listed...


    cheers

  9. #39
    Join Date
    Oct 2012
    Beans
    12

    Re: Guide to Installing and Running MiniDLNA on an Ubuntu Server

    one more thing.... anyone knows step by step process how to autostart minidlna at laptop startup.
    will appreciate any help..

  10. #40
    Join Date
    Mar 2006
    Location
    Williams Lake
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Guide to Installing and Running MiniDLNA on an Ubuntu Server

    This is the script that starts minidlna as a service on my 12.04 server.

    Code:
    #!/bin/sh
    #
    # MiniDLNA initscript
    #
    # Based on the mediatomb debian package.
    # Original authors: Tor Krill <tor@excito.com>
    #                   Leonhard Wimmer <leo@mediatomb.cc>
    #                   Andres Mejia <mcitadel@gmail.com>
    #
    # Modified by: Benoît Knecht <benoit.knecht@fsfe.org>
    #
    ### BEGIN INIT INFO
    # Provides:          minidlna
    # Required-Start:    $network $local_fs $remote_fs
    # Required-Stop::    $network $local_fs $remote_fs
    # Should-Start:      $all
    # Should-Stop:       $all
    # Default-Start:     2 3 4 5
    # Default-Stop:      0 1 6
    # Short-Description: DLNA/UPnP-AV media server
    ### END INIT INFO
    
    unset USER
    
    # PATH should only include /usr/* if it runs after the mountnfs.sh script
    PATH=/sbin:/usr/sbin:/bin:/usr/bin
    DESC="DLNA/UPnP-AV media server"
    NAME=minidlna
    DAEMON=/usr/bin/minidlna
    PIDDIR=/var/run/$NAME
    PIDFILE=$PIDDIR/$NAME.pid
    SCRIPTNAME=/etc/init.d/$NAME
    DEFAULT=/etc/default/$NAME
    
    # Exit if the package is not installed
    [ -x $DAEMON ] || exit 0
    
    # Read configuration variable file if it is present
    [ -r $DEFAULT ] && . $DEFAULT
    
    # Load the VERBOSE setting and other rcS variables
    . /lib/init/vars.sh
    
    # Define LSB log_* functions.
    # Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
    . /lib/lsb/init-functions
    
    # Do not start the daemon if NO_START is enabled in DEFAULT
    if [ "$START_DAEMON" != "yes" ] && [ "$1" != "stop" ]; then
    	log_warning_msg "$NAME: Not starting $DESC."
    	log_warning_msg "$NAME: Disabled in $DEFAULT."
    	exit 0
    fi
    
    # Set the default configuration file
    if [ -z $CONFIGFILE ]; then
    	CONFIGFILE=/etc/minidlna.conf
    fi
    
    # Set the default log file
    if [ -z $LOGFILE ]; then
    	LOGFILE=/var/log/minidlna.log
    fi
    
    # Run as `minidlna' if USER is not specified or is `root'
    if [ -z $USER ]; then
    	USER=minidlna
    fi
    
    # If no group is specified, use USER
    if [ -z $GROUP ]; then
    	GROUP=$USER
    fi
    
    DAEMON_ARGS="-f $CONFIGFILE -P $PIDFILE $DAEMON_OPTS"
    
    #
    # Function that starts the daemon/service
    #
    do_start()
    {
    	# Return
    	#   0 if daemon has been started
    	#   1 if daemon was already running
    	#   2 if daemon could not be started
    	touch $LOGFILE && chown $USER:$GROUP $LOGFILE || return 2
    	if [ ! -d $PIDDIR ]; then
    	    mkdir $PIDDIR || return 2
    	fi
    	chown $USER:$GROUP $PIDDIR || return 2
    
    	start-stop-daemon --start --quiet --pidfile $PIDFILE \
    		--chuid $USER:$GROUP --exec $DAEMON --test > /dev/null \
    		|| return 1
    	start-stop-daemon --start --quiet --pidfile $PIDFILE \
    		--chuid $USER:$GROUP --exec $DAEMON -- \
    		$DAEMON_ARGS \
    		|| return 2
    }
    
    #
    # Function that stops the daemon/service
    #
    do_stop()
    {
    	# Return
    	#   0 if daemon has been stopped
    	#   1 if daemon was already stopped
    	#   2 if daemon could not be stopped
    	#   other if a failure occurred
    	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
    	RETVAL="$?"
    	[ "$RETVAL" = 2 ] && return 2
    	# Wait for children to finish too if this is a daemon that forks
    	# and if the daemon is only ever run from this initscript.
    	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
    	[ "$?" = 2 ] && return 2
    	# Many daemons don't delete their pidfiles when they exit.
    	rm -rf $PIDDIR
    	return "$RETVAL"
    }
    
    case "$1" in
      start)
        [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
        do_start
        case "$?" in
    		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
    		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
    	esac
      ;;
      stop)
    	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
    	do_stop
    	case "$?" in
    		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
    		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
    	esac
    	;;
      status)
           status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
           ;;
      restart|force-reload)
    	log_daemon_msg "Restarting $DESC" "$NAME"
    	do_stop
    	case "$?" in
    	  0|1)
    		if [ "$1" = "force-reload" ]; then
    			# Rescan the collection
    			DAEMON_ARGS="$DAEMON_ARGS -R"
    		fi
    		do_start
    		case "$?" in
    			0) log_end_msg 0 ;;
    			1) log_end_msg 1 ;; # Old process is still running
    			*) log_end_msg 1 ;; # Failed to start
    		esac
    		;;
    	  *)
    	  	# Failed to stop
    		log_end_msg 1
    		;;
    	esac
    	;;
      *)
    	echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
    	exit 3
    	;;
    esac
    
    :
    If I remember correctly 10.10 uses upstart, so the script should work for you, although you may have to check paths.

Page 4 of 6 FirstFirst ... 23456 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •